<div
  class="card"
  [ngStyle]="{ cursor: addMode ? 'initial' : 'pointer' }"
  (click)="onCardClicked()"
>
  <h2 class="card__header">{{ weather.city }}</h2>
  <div class="container">
    <div class="card__photo">
      <app-weather-condition-icon
        [condition]="weather.weather[0].main"
      ></app-weather-condition-icon>
    </div>
  </div>
  <div class="card__body">
    <div class="card__title">
      <h3>{{ weather.main.temp | kelvinToSelsius }}&#176;</h3>
      <span>{{ weather.weather[0].main }}</span>
    </div>
    <div class="temperatures">
      <div class="temperature temperature--min">
        <span>&#9660;</span>
        <span class="temperature__temp">{{
          weather.main.temp_min | kelvinToSelsius
        }}</span>
        <span>Min</span>
      </div>
      <div class="temperature temperature--max">
        <span>&#9650;</span>
        <span class="temperature__temp">{{
          weather.main.temp_max | kelvinToSelsius
        }}</span>
        <span>Max</span>
      </div>
    </div>
    <div class="mt-2">
      <button class="btn" *ngIf="addMode" (click)="onAddWeather()">
        ADD CITY +
      </button>
    </div>
  </div>
</div>
